Page MenuHomePhabricator

Prepare pywikibot for http -> https switch in entity uri
Closed, ResolvedPublic

Description

The current implementation of sparql/query support for pywikibot relies on a hardcoded uri prefix for the entity.

If T153563: Consider switching to HTTPS for Wikidata query service links gets implemented this will break. Since we can get the concept_base_uri via the API using that will make us imune to future changes (and different implementations on different wikis.

Event Timeline

Restricted Application added a project: Traffic. · View Herald TranscriptMar 8 2017, 3:28 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald Transcript

Change 319857 had a related patch set uploaded (by Lokal Profil):
[pywikibot/core] Make sparql use Site to access sparql endpoint and entity_url

https://gerrit.wikimedia.org/r/319857

Restricted Application added a project: Operations. · View Herald TranscriptMar 8 2017, 3:28 PM
Lokal_Profil renamed this task from Prepare pywikibot for to Prepare pywikibot for http -> https switch in entity uri.Mar 8 2017, 3:28 PM
Lokal_Profil removed projects: Operations, Traffic.
Restricted Application added a project: Traffic. · View Herald TranscriptMar 8 2017, 3:29 PM
ema moved this task from Triage to Watching on the Traffic board.Mar 14 2017, 11:57 AM
Restricted Application added a project: Operations. · View Herald TranscriptMar 14 2017, 11:57 AM
Xqt added a subscriber: Xqt.Mar 14 2017, 2:27 PM

Change 319857 merged by jenkins-bot:
[pywikibot/core@master] Make sparql use Site to access sparql endpoint and entity_url

https://gerrit.wikimedia.org/r/319857

Xqt closed this task as Resolved.Apr 30 2017, 5:22 AM